Summary: 	A fast, feature rich Window manager.
Name: 		WindowMaker
Version:	0.92.0
Release:	2%{?dist}
Epoch:		0
License:	GPL
Group: 		User Interface/Desktops
URL: 		http://www.windowmaker.org/
Source0: 	ftp://windowmaker.org/pub/source/release/WindowMaker-0.92.0.tar.bz2
Source1:        WindowMaker.xsession
Source2:        WindowMaker.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel libpng-devel libjpeg-devel libungif-devel 
BuildRequires:	libtiff-devel zlib-devel gettext
Obsoletes:	WindowMaker-libs

%package devel
Summary:	libraries needed for WindowMaker.
Group:		System Environment/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description
Window Maker is an X11 window manager designed to give additional
integration support to the GNUstep Desktop Environment. In every way
possible, it reproduces the elegant look and feel of the NeXTSTEP[tm]
GUI. It is fast, feature rich, easy to configure, and easy to use. In
addition, Window Maker works with GNOME and KDE, making it one of the
most useful and universal window managers available.

%description devel
Window Maker is an X11 window manager designed to give additional
integration support to the GNUstep Desktop Environment. In every way
possible, it reproduces the elegant look and feel of the NeXTSTEP[tm]
GUI. This package contains development files for WindowMaker libraries

%prep
%setup -q

%build
LINGUAS=`(cd po ; echo *.po|sed 's/zh_TW.Big5.po//g;s/.po//g')`
GNUSTEP_LOCAL_ROOT='%{_libdir}/GNUstep'
NLSDIR="%{_datadir}/locale"
export LINGUAS NLSDIR GNUSTEP_LOCAL_ROOT
%configure --enable-gnome --enable-kde --enable-usermenu --enable-xinerama \
--enable-fast-install --enable-modelock

%ifarch x86_64
sed -i -e's/#define ASM_X86 1/#undef ASM_X86/' src/config.h
sed -i -e's/#define ASM_X86_MMX 1/#undef ASM_X86_MMX/' src/config.h
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT NLSDIR=%{_datadir}/locale install

%find_lang '\(WPrefs\|%{name}\|WINGs\)'

rm -f $RPM_BUILD_ROOT%{_libdir}/libwraster.la

install -D -m0755 %{SOURCE1} \
%{buildroot}%{_sysconfdir}/X11/gdm/Sessions/WindowMaker
install -D -m0644 %{SOURCE2} \
%{buildroot}%{_sysconfdir}/X11/dm/Sessions/WindowMaker.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f '\(WPrefs\|%{name}\|WINGs\)'.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS FAQ* README* COPYING*
%config %{_sysconfdir}/%{name}
%{_sysconfdir}/X11/gdm/Sessions/WindowMaker
%{_sysconfdir}/X11/dm/Sessions/WindowMaker.desktop
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/WINGs
%{_libdir}/GNUstep
%{_libdir}/libwraster.so.*
%{_mandir}/man1/*.1x*
%{_mandir}/sk/man1/*.1x*
%exclude %{_bindir}/get-*-flags

%files devel
%defattr(-,root,root,-)
%{_bindir}/get-wings-flags
%{_bindir}/get-wraster-flags
%{_bindir}/get-wutil-flags
%{_includedir}/WINGs
%{_includedir}/WMaker.h
%{_includedir}/wraster.h
%{_libdir}/lib*.a
%{_libdir}/libwraster.so
%{_libdir}/pkgconfig/*pc

%changelog
* Tue Aug 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-2
- try to fix x86_64 build

* Tue Aug 09 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.92.0-1
- upgrade to new version 
- use dist tag
- use smp_mflags
- fix #163459

* Tue May 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist macro...

* Tue May 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0:0.91.0-1
- upgrade to 0.91.0

* Fri Nov 28 2003 Dams <anvil[AT]livna.org> - 0:0.80.2-0.fdr.6
- exclude -> rm
- Added patch to fix gtk2 apps handling and other focus things

* Wed Sep 17 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.5
- Shortened files section
- Fixed tarball permissions (now a+r)

* Wed Sep 17 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.4
- Header files were installed in the wrong directory. Fixed. Slovak
  man pages installation fixed same way.
- WindowWaker-libs is now obsolete.

* Tue Aug 12 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.3
- buildroot -> RPM_BUILD_ROOT
- New devel package
- No more libs package

* Thu Apr 10 2003 Dams <anvil[AT]livna.org> 0:0.80.2-0.fdr.2
- Added missing Require: for gettext

* Tue Apr  8 2003 Dams <anvil[AT]livna.org> 
- Initial build.
